[arch-commits] CVS update of extra/multimedia/xvidcore (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Jun 30 06:54:20 EDT 2007


    Date: Saturday, June 30, 2007 @ 06:54:20
  Author: jgc
    Path: /home/cvs-extra/extra/multimedia/xvidcore

   Added: PKGBUILD (1.1)

upgpkg: xvidcore 1.1.3-1
Move to extra, security update


----------+
 PKGBUILD |   28 ++++++++++++++++++++++++++++
 1 file changed, 28 insertions(+)


Index: extra/multimedia/xvidcore/PKGBUILD
diff -u /dev/null extra/multimedia/xvidcore/PKGBUILD:1.1
--- /dev/null	Sat Jun 30 06:54:20 2007
+++ extra/multimedia/xvidcore/PKGBUILD	Sat Jun 30 06:54:20 2007
@@ -0,0 +1,28 @@
+# $Id: PKGBUILD,v 1.1 2007/06/30 10:54:20 jgc Exp $
+# Maintainer: tobias <tobias at archlinux.org>
+# Contributor: Sarah Hay <sarah at archlinux.org>
+
+pkgname=xvidcore
+pkgver=1.1.3
+pkgrel=1
+pkgdesc="XviD is an open source MPEG-4 video codec"
+arch=(i686 x86_64)
+license=('GPL')
+url="http://www.xvid.org/"
+depends=('glibc')
+makedepends=('nasm')
+source=(http://downloads.xvid.org/downloads/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('29c60d4d991ac18f687a8fd13cfe64b7')
+
+build() {
+  cd ${startdir}/src/${pkgname}-${pkgver}/build/generic
+  ./configure --prefix=/usr
+  make || return 1
+  make DESTDIR=${startdir}/pkg install
+
+  #Fix dynamic libraries
+  cd ${startdir}/pkg/usr/lib
+  mylib=$(basename libxvidcore.so.*)
+  ln -sf ${mylib} libxvidcore.so.4
+  ln -sf ${mylib} libxvidcore.so
+}




More information about the arch-commits mailing list